[OSM-dev] 0.6 API hack-a-thon Date

Stefan de Konink stefan at konink.de
Thu Oct 16 08:15:25 BST 2008


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Shaun McDonald schreef:
>> Okay, so it sounds like the short answer is that there's no upgrading
>> an already populated database so no easy way of building a db with 0.6
>> data.
> 
> The migrations should work, though it is known that they break when
> there is duplicate keys in the tags of a particular node/way/relation.

I guess this was fixed.

> JOSM is the only option at the moment as Potlatch and Merkator haven't
> been upgraded to 0.6 yet.

I have seen a 0.6 button in Merkaator before I ever saw it in any other
editor...


Stefan
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEAREKAAYFAkj26g0ACgkQYH1+F2Rqwn2aUwCdFdTNqDN3zxR29ZmFGCJoxIva
lcwAnRx8t/Wt1WNrfEuyAmQYQvnV/zlQ
=L3hd
-----END PGP SIGNATURE-----




More information about the dev mailing list